Page MenuHomePhabricator

[InlineFunction] Set debug loc for call to forward varargs.
ClosedPublic

Authored by fhahn on Nov 24 2017, 5:56 AM.

Diff Detail

Event Timeline

fhahn created this revision.Nov 24 2017, 5:56 AM
aprantl edited edge metadata.Nov 27 2017, 1:33 PM

Superficially this looks reasonable, but could you maybe quickly explain what the transformation is doing and why this is the right location to attach?

rnk accepted this revision.Nov 27 2017, 3:17 PM

Superficially this looks reasonable, but could you maybe quickly explain what the transformation is doing and why this is the right location to attach?

Looks reasonable to me as is. This code really just wants to modify the call argument list in place, but it happens to do it with RAUW and it forgets the debug location currently.

Thanks for the fix!

This revision is now accepted and ready to land.Nov 27 2017, 3:17 PM
fhahn closed this revision.Dec 9 2017, 6:26 AM